# -*- coding: utf-8 -*-
# Generated by Django 1.9 on 2015-12-19 13:20
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('proposals', '0006_rename_proposal_talkproposal'),
    ]

    operations = [
        migrations.CreateModel(
            name='TutorialProposal',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=140, verbose_name='title')),
                ('category', models.CharField(choices=[('PRAC', 'Best Practices & Patterns'), ('COM', 'Community'), ('DB', 'Databases'), ('DATA', 'Data Analysis'), ('EDU', 'Education'), ('EMBED', 'Embedd Systems'), ('GAME', 'Gaming'), ('OTHER', 'Other'), ('CORE', 'Python Core & Internals (language, stdlib, etc.)'), ('LIBS', 'Python Libraries'), ('SCI', 'Science'), ('SEC', 'Security'), ('ADMIN', 'Systems Administration'), ('TEST', 'Testing'), ('WEB', 'Web Frameworks')], max_length=5, verbose_name='category')),
                ('language', models.CharField(choices=[('ENG', 'English'), ('CHI', 'Chinese')], max_length=3, verbose_name='language')),
                ('target_audience', models.CharField(help_text='Who is the intended audience for your talk? (Be specific, "Python users" is not a good answer)', max_length=140, verbose_name='target audience')),
                ('abstract', models.TextField(help_text='The overview of what the talk is about. If the talk assume some domain knowledge please state it here. If yout talk is accepted, this will be displayed on both the website and the handbook. Should be one paragraph.', max_length=400, verbose_name='abstract')),
                ('python_level', models.CharField(choices=[('NOVICE', 'Novice'), ('INTERMEDIATE', 'Intermediate'), ('EXPERIENCED', 'Experienced')], help_text='The choice of talk level matters during the review process. More definition of talk level can be found at the Talk Level Definition in [How to Propose a talk] page. Note that a proposal who\'t be more likely to accepted because of being "Novice" level. We may contact you to change the talk level when we find the contend is too-hard or too-easy for the target audience.', max_length=12, verbose_name='python level')),
                ('detailed_description', models.TextField(help_text="Description of your talk. Will be made public if your proposal is accepted. Edit using <a href='http://daringfireball.net/projects/markdown/basics' target='_blank'>Markdown</a>.", verbose_name='detailed description')),
                ('outline', models.TextField(help_text="Tell the reviewers about your talk. Try not be too lengthy, or you could scare away many reviewers. A comfortable length is less than 1000 characters (or about 650 Chinese characters). Including related links will help reviewers understand and more likely accept the proposal. Note that most reviewers may not understand the topic as deeply as you do. Edit using <a href='http://daringfireball.net/projects/markdown/basics' target='_blank'>Markdown</a>.", verbose_name='outline')),
                ('supplementary', models.TextField(blank=True, default='', help_text="Anything else you'd like the program committee to know when making their selection: your past speaking experience, community experience, etc. This is not made public. Edit using <a href='http://daringfireball.net/projects/markdown/basics' target='_blank'>Markdown</a>.", verbose_name='supplementary')),
                ('recording_policy', models.BooleanField(choices=[(True, 'Yes'), (False, 'No')], default=True, help_text='Whether you agree to give permission to PyCon Taiwan to record, edit, and release audio and video of your presentation.', verbose_name='recording policy')),
                ('slide_link', models.URLField(blank=True, default='', help_text='You can add your slide link near or after the conference day. Not required for review.', verbose_name='slide link')),
                ('created_at', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='created at')),
                ('submitter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='submitter')),
            ],
            options={
                'abstract': False,
                'verbose_name': 'tutorial proposal',
                'verbose_name_plural': 'tutorial proposals',
                'ordering': ['-created_at'],
            },
        ),
    ]
